<?php
session_start();
require_once 'config.php';

if (!isset($_SESSION['user_id']) || $_SESSION['role'] != 'admin') {
    header("Location: login.php");
    exit();
}
?>

<!DOCTYPE html>
<html dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>لوحة تحكم المسؤول</title>
    <style>
        body {
            font-family: 'Arial', sans-serif;
            background-color: #f4f4f4;
            margin: 0;
            padding: 20px;
        }
        .dashboard-container {
            max-width: 1000px;
            margin: 0 auto;
            background: white;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0,0,0,0.1);
        }
        .employee-section {
            margin-bottom: 30px;
        }
        .document-grid {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
            gap: 20px;
        }
        .document-card {
            border: 1px solid #ddd;
            padding: 15px;
            border-radius: 4px;
        }
    </style>
</head>
<body>
    <div class="dashboard-container">
        <h2>لوحة تحكم المسؤول</h2>
        
        <div class="employee-section">
            <h3>جميع المستندات المرفوعة</h3>
            <div class="document-grid">
                <?php
                $stmt = $pdo->prepare("
                    SELECT d.*, u.username, e.full_name 
                    FROM documents d 
                    JOIN users u ON d.user_id = u.id 
                    LEFT JOIN employee_info e ON u.id = e.user_id 
                    ORDER BY d.upload_date DESC
                ");
                $stmt->execute();
                while ($doc = $stmt->fetch()) {
                    echo "<div class='document-card'>";
                    echo "<h4>الموظف: " . htmlspecialchars($doc['full_name'] ?? $doc['username']) . "</h4>";
                    echo "<p>نوع المستند: " . htmlspecialchars($doc['doc_type']) . "</p>";
                    echo "<p>اسم الملف: " . htmlspecialchars($doc['file_name']) . "</p>";
                    echo "<p>تاريخ الرفع: " . $doc['upload_date'] . "</p>";
                    echo "<a href='" . htmlspecialchars($doc['file_path']) . "' target='_blank'>عرض المستند</a>";
                    echo "</div>";
                }
                ?>
            </div>
        </div>
    </div>
</body>
</html>