<?php
session_start();
require_once 'config.php';

if (!isset($_SESSION['user_id']) || $_SESSION['role'] != 'employee') {
    header("Location: login.php");
    exit();
}

if ($_SERVER['REQUEST_METHOD'] == 'POST' && isset($_FILES['document'])) {
    $file = $_FILES['document'];
    $doc_type = $_POST['doc_type'];
    
    $upload_dir = 'uploads/';
    $file_name = time() . '_' . $file['name'];
    $file_path = $upload_dir . $file_name;
    
    if (move_uploaded_file($file['tmp_name'], $file_path)) {
        $stmt = $pdo->prepare("INSERT INTO documents (user_id, doc_type, file_name, file_path) VALUES (?, ?, ?, ?)");
        $stmt->execute([$_SESSION['user_id'], $doc_type, $file['name'], $file_path]);
    }
}
?>

<!DOCTYPE html>
<html dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>لوحة تحكم الموظف</title>
    <style>
        body {
            font-family: 'Arial', sans-serif;
            background-color: #f4f4f4;
            margin: 0;
            padding: 20px;
        }
        .dashboard-container {
            max-width: 800px;
            margin: 0 auto;
            background: white;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0,0,0,0.1);
        }
        .upload-section {
            margin-bottom: 20px;
            padding: 15px;
            border: 1px solid #ddd;
            border-radius: 4px;
        }
        .documents-list {
            margin-top: 20px;
        }
        .document-item {
            padding: 10px;
            border-bottom: 1px solid #eee;
        }
    </style>
</head>
<body>
    <div class="dashboard-container">
        <h2>لوحة تحكم الموظف</h2>
        
        <div class="upload-section">
            <h3>رفع مستند جديد</h3>
            <form method="POST" enctype="multipart/form-data">
                <select name="doc_type" required>
                    <option value="contract">عقد العمل</option>
                    <option value="id">إثبات الهوية</option>
                    <option value="leave">طلب إجازة</option>
                </select>
                <input type="file" name="document" required>
                <button type="submit">رفع المستند</button>
            </form>
        </div>
        
        <div class="documents-list">
            <h3>المستندات المرفوعة</h3>
            <?php
            $stmt = $pdo->prepare("SELECT * FROM documents WHERE user_id = ? ORDER BY upload_date DESC");
            $stmt->execute([$_SESSION['user_id']]);
            while ($doc = $stmt->fetch()) {
                echo "<div class='document-item'>";
                echo "<p>نوع المستند: " . htmlspecialchars($doc['doc_type']) . "</p>";
                echo "<p>اسم الملف: " . htmlspecialchars($doc['file_name']) . "</p>";
                echo "<p>تاريخ الرفع: " . $doc['upload_date'] . "</p>";
                echo "</div>";
            }
            ?>
        </div>
    </div>
</body>
</html>